isLowPowerEnabled(params: IsLowPowerEnabledParams)

Requires:
@tuya-miniapp/cloud-api≥1.0.5

Description

Query whether the device's Low Power Mode is enabled.

Parameters

ParameterTypeRequiredDescription
YesRequest body

Return Value

Type: Promise<IsLowPowerEnabledResult>
isEnable Whether the corresponding advanced capability is enabled

Referenced Types

typeIsLowPowerEnabledResult
PropertyTypeDescription
isEnablebooleanWhether the corresponding advanced capability is enabled

Examples

Request example

import { isLowPowerEnabled } from '@tuya-miniapp/cloud-api';

const result = await isLowPowerEnabled({
  deviceId: 'your_device_id',
});

const result2 = await isLowPowerEnabled({
  deviceId: 'your_device_id',
  code: 'custom_code',
});

Response example

{
  "isEnable": true
}